summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 76c82f9)
raw | patch | inline | side by side (parent: 76c82f9)
author | Junio C Hamano <gitster@pobox.com> | |
Fri, 1 Jul 2011 23:11:16 +0000 (16:11 -0700) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Fri, 1 Jul 2011 23:17:29 +0000 (16:17 -0700) |
The process may not even have the standard input open in which case it
will get stuck in an infinite loop to prompt and read nothing.
Signed-off-by: Junio C Hamano <gitster@pobox.com>
will get stuck in an infinite loop to prompt and read nothing.
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-mergetool.sh | patch | blob | history |
diff --git a/git-mergetool.sh b/git-mergetool.sh
index 3aab5aae844b963fc4178675a56da20e02488dfd..3c157bcd26232c758572bf908add44216cb8e2e7 100755 (executable)
--- a/git-mergetool.sh
+++ b/git-mergetool.sh
else
printf "Use (c)reated or (d)eleted file, or (a)bort? "
fi
- read ans
+ read ans || return 1
case "$ans" in
[mMcC]*)
git add -- "$MERGED"
resolve_submodule_merge () {
while true; do
printf "Use (l)ocal or (r)emote, or (a)bort? "
- read ans
+ read ans || return 1
case "$ans" in
[lL]*)
if ! local_present; then
describe_file "$remote_mode" "remote" "$REMOTE"
if "$prompt" = true; then
printf "Hit return to start merge resolution tool (%s): " "$merge_tool"
- read ans
+ read ans || return 1
fi
if base_present; then
prompt_after_failed_merge() {
while true; do
printf "Continue merging other unresolved paths (y/n) ? "
- read ans
+ read ans || return 1
case "$ans" in
[yY]*)